File: changelog

package info (click to toggle)
libaws 3.3.2-2
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 15,780 kB
  • ctags: 648
  • sloc: ada: 87,379; python: 1,914; ansic: 929; makefile: 842; xml: 235; java: 112; sh: 105
file content (415 lines) | stat: -rw-r--r-- 17,393 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
libaws (3.3.2-2) unstable; urgency=medium

  * Build-Depend iftex.sty from texlive-generic-extra. Closes: #830458.
  * Tell Make that aws-os_lib.ads must be created but never updated, even
    if its timestamp is tricked later for deterministic ALI files.
  * Fix uscan dversionmangle.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 11 Jul 2016 13:14:33 +0200

libaws (3.3.2-1) unstable; urgency=medium

  * New upstream release. Build with gnat-6 and updated libraries.
    Rename lib and -dev packages per Ada policy.
  * Download from github, where author grants GCC Runtime Library and GNAT
    generics exceptions to GPL-3+.
  * Switch from gnatmake to gprbuild, as the former will soon drop projects.
  * Enable all hardening flags.
  * Switch from manual -dbg packages to automatic -dbgsym packages.
  * Standards-Versions: 3.9.8 (no changes).
  * Move sphinx, deduplication tools from Build-Indep to Build-Depends-Indep.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 23 May 2016 23:12:55 +0200

libaws (3.2.0-4) unstable; urgency=medium

  [Peter Green <plugwash@p10link.net>]
  * Backport upstream commits building with gnutls3.4.4. Closes: 782801.
  * Tweak debian/rules to build wrappers.c when building with gnutls.

  [Nicolas Boulenguez]
  * Split -arch and -indep debhelper overrides. Closes: #806626.
  * Ensure deterministic timestamps in ALI and PDF files.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 02 Feb 2016 21:51:43 +0100

libaws (3.2.0-3) unstable; urgency=medium

  * Move source package to section libs, raise -bin and -doc binary packages
    to priority optional (copied from ftpmasters overrides).
    Raise run-time library to optional, because -bin depends on it.
  * Standards-Version: 3.9.6 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 06 Oct 2014 21:12:47 +0200

libaws (3.2.0-2) unstable; urgency=medium

  * Explicit link with pthread on archs triggering #760211 compiler bug.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 05 Oct 2014 01:51:38 +0200

libaws (3.2.0-1) unstable; urgency=low

  * New upstream release built with gnat4.9. Closes: #749159, #755082, #715223.
    libasis2014-dev, libxmlada5-dev and libtemplates-parser11.8.2015-dev.
    Per Ada policy, library and -dev package versions change.
  * License is now GPL-3+. Repackage with Files-Excluded to remove
    minified Javascript in embedded documentation.
  * Build-Depend: GNUTLS >= 3 in libgnutls28-dev package.
  * Switch to debhelper 9, dh-ada-library, dh_sphinxdoc.
    -dev does not embed unselected implementations anymore.
    aws.gpr, trampoline lintian override, and many deps are now generated.
  * Ada and C inherit hardening *flags. No more unused/unavailable symbols.
  * control: Section: libs->libdevel. +Homepage. Lib and -dev now multiarch.
    Build-Depend: -quilt +sphinxdoc -gcrypt-dev, non virtual ldap-dev.
    Standards-Version: 3.9.5. +VCS-*. Uploaders +: myself.
  * copyright: machine-readable format 1.0.
  * Enable ldap source directory.
  * source.lintian-override: -dbg Depends -lib, but after substitutions.
  * Moved source/options -> source/local-options. Use default compression.
  * Minimal runtime test and watch file. PDF and doc-base registration.
  * Programming style guide now only available in PDF format.
  * Lower priority to extra because Depends: libldap2-dev.
  * Remove duplicate examples (Build-Depends: rdfind, symlinks).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 14 Sep 2014 14:43:40 +0200

libaws (2.10.2-4) unstable; urgency=low

  * debian/rules (libaws-doc): also install the Makefiles of the examples.
  * debian/patches/demos.patch: restore upstream's makefiles.

 -- Ludovic Brenta <lbrenta@debian.org>  Mon,  9 Apr 2012 21:32:25 +0200

libaws (2.10.2-3) unstable; urgency=low

  * debian/build_aws.gpr: work around a compiler bug on armel.
    Add Linker_Options that cause the tools to link against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 29 Feb 2012 21:33:36 +0100

libaws (2.10.2-2) unstable; urgency=low

  [Thomas Preud'homme]
  * Include files from directory "extended".  Closes: #660541.

  [Ludovic Brenta]
  * debian/aws.gpr: replace Library_Options (used when building the
    library) with Linker.Linker_Options (used when linking executables
    against the library) so that executables are linked against libz.

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 28 Feb 2012 21:02:10 +0100

libaws (2.10.2-1) unstable; urgency=low

  [Xavier Grave]
  * debian/rules add get-orig-target with anonymous connection
  * debian/control (Build-Depends): gnat-4.6, libxmlada4.1-dev,
    libasis2010-dev, libtemplates-parser11.6-dev. Closes: #642640.
  * Refresh patches.
  * add lintian overrides for shlib-with-executable-stack warning
  * Take new gcc-multilib scheme into account
    - put libs in /usr/lib/$(DEB_HOST_MULTIHARCH)
    - modify control and lintian files accordingly
  
  [Ludovic Brenta]
  * New upstream version (git revision
    d3e4f7dd9b732de6ccfd5b34a5421f3e778aafb1).
  * Package renamings pursuant to Debian Policy for Ada:
    libaws2.7-dev -> libaws2.10.2-dev
    libaws2.7     -> libaws2.10.2
  * debian/control (Depends): remove ada-compiler, see
    http://lists.debian.org/debian-ada/2011/12/msg00012.html
    (Build-Depends-Indep): new, move some build dependencies there.
    (Architecture): all.
    (Conflicts, Replaces): remove; unnecessary because gnat-4.4 and
    gnat-4.6 already conflict.
    (Standards-Version): 3.9.2.
  * debian/source/{format,options}: new; use 3.0 (quilt).
  * debian/rules: delegate patching and unpatching to dpkg-source.
    - Use gnatgcc, not gcc, to produce shared libraries.
    - (clean): cleanup documentation without using upstream's gpr files.
    - (build): make compatible with arch-dep-only and arch-indep-only
      builds (dpkg-buildpackage -B, -A).
  * debian/patches/aws_net_ssl_ads.patch: refresh.
  * debian/build_aws.gpr, debian/aws.gpr: turn into library project files.
  * debian/rules, debian/tools.gpr, debian/ada2wsdl.gpr: adjust accordingly.
  * debian/patches/socket_leaks_[12].patch: new; backport memory leak fixes
    from the main line.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 12 Feb 2012 22:54:04 +0100

libaws (2.7-4) unstable; urgency=low

  * debian/control (Architecture): add armel.  Closes: #568439.
    (libaws2.7-dev): depend on gnat, ada-compiler in addition to gnat-4.4.
    (libaws2.7-dbg, libaws-doc): Suggest gnat, ada-compiler for better
    visibility in aptitude.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  6 Jun 2010 23:10:56 +0200

libaws (2.7-3) unstable; urgency=medium

  * debian/control (Architecture): temporarily disable mips due to #566234.
  * Remove support for strong crypto again; restore debian/README.Debian
    with the symptoms of the bug.  Closes: #567813.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  7 Feb 2010 23:44:00 +0100

libaws (2.7-2) unstable; urgency=low

  * debian/copyright: make machine-parseable.
  * debian/patches/GPL.patch: remove the special exception text from
    files where it was still present.
  * debian/{build_aws,aws,ada2wsdl,tools}.gpr:
    - adjust to libtemplates-parser11.5-dev (>= 11.5-2).  Closes: #564346.
    - Use GNU TLS for strong crypto, thanks to David Sauvage. Closes: #564282.
    - Pass --as-needed to the linker to only link against needed libraries.
  * debian/README.Debian: explain.
  * debian/control:
    - build-depend on libgnutls-dev.
    - tighten build-dependency to libtemplates-parser11.5-dev (>= 11.5-2).
    - (*-dev): suggest libjs-prototype.
  * debian/rules: explicitly link libaws.so against libgcrypt and liblber
    as it uses symbols from these libraries; this indirectly adds needed
    dependencies to the package.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 10 Jan 2010 15:09:25 +0100

libaws (2.7-1) unstable; urgency=low

  * New upstream release (Subversion version 149689).  Closes: #560677.
  * debian/control (Build-Depends): migrate to gnat-4.4, libxmlada3.2-dev,
    libasis2008-devlibtemplates-parser11.5-dev.
    (Architecture): remove alpha due to http://gcc.gnu.org/PR42073
    (libaws-dev): rename to libaws2.7-dev per Debian Policy for Ada, with
    Conflicts: and Replaces:.
    (libaws2.5): rename to libaws2.7.
  * debian/rules: extract aliversion and soversion from debian/control.
    (libaws-doc): exclude bundled, out-of-date and buggy JavaScript files
    from the package.  Users should use the ones provided by other Debian
    packages instead.  Fixes CVE-2008-7720 and closes: #555221, #555222.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 13 Dec 2009 15:49:01 +0100

libaws (2.5-3) unstable; urgency=low

  * Rebuild with the .orig.tar.gz file in the parent directory, so as not
    to turn the package into a native one :(

 -- Ludovic Brenta <lbrenta@debian.org>  Tue, 22 Sep 2009 18:42:13 +0200

libaws (2.5-2) unstable; urgency=low

  * debian/control (Build-Depends): tighten dependencies and rebuild.
    Closes: #536949.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat, 19 Sep 2009 16:05:42 +0200

libaws (2.5-1) unstable; urgency=low

  * New upstream release (Subversion revision 125080).
  * Recompile against libasis (=2007-5).  Closes: #536949.
  * Move all patches to debian/patches and change them to -p1.
  * debian/control (Source-Version): bump to 3.8.3.
    (Architectures): add kfreebsd-amd64.
    (Depends): s/source:Version/binary:Version/g, except for dependencies
    on the -doc, architecture-independent package
  * debian/compat: bump to 7.

 -- Ludovic Brenta <lbrenta@debian.org>  Fri, 11 Sep 2009 21:46:27 +0200

libaws (2.5~124785-1) unstable; urgency=low

  * new upstream release (Subversion revision 124785).
    Closes: #382779, #478728, #481829, #483555.
  * debian/rules: do not export DH_COMPAT anymore; instead add debian/compat.
  * debian/control: update standards-version to 3.7.3 with no changes required.
    Migrate the documentation to texlive-generic-recommended,
    texlive-fonts-recommended and texlive-latex-base. Migrate to gnat-4.3.
    Add support for mips, mipsel and ppc64.
  * debian/aws.gpr: turn into a library project file.
  * debian/build_aws.gpr, debian/tools.gpr, debian/ada2wsdl.gpr: build
    everything with debugging symbols.
  * debian/control, debian/rules: introduce a new package, libaws-dbg,
    containing debugging symbols for libaws.
  * debian/control, debian/rules, debian/build_aws.gpr: do not build against
    libgnutls because it causes a segfault during elaboration of wsdl2aws and
    ada2wsdl.
  * debian/docs.patch: work around a bug in pdfetex (see Debian bug #483966).

 -- Ludovic Brenta <lbrenta@debian.org>  Sun,  1 Jun 2008 16:34:06 +0200

libaws (2.2dfsg-1) unstable; urgency=low

  * Fake a new upstream release; new source tarball in which I removed the
    IETF's non-free Request For Comments.  Closes: #387250.
  * debian/rules: ugly hack to take the "dfsg" part of the version into
    account, and leave it out of sonames etc.  There is no soname change.
  * (I talked to upstream; they're not planning a new release before the
    Etch freeze).

 -- Ludovic Brenta <lbrenta@debian.org>  Wed, 20 Sep 2006 18:53:21 +0200

libaws (2.2-3) unstable; urgency=low

  * debian/rules, debian/ada2wsdl.gpr, debian/tools.gpr:
    do not link the libaws.so object files statically into the tools
    (package libaws-bin); reduces their size significantly.
  * debian/control (libaws-dev): depend on libtemplates-parser-dev.
    Closes: #387896.  (Olleg, thanks for your patience).

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 17 Sep 2006 22:30:01 +0200

libaws (2.2-2) unstable; urgency=low

  * aws.gpr: add a package Naming to tell gnatmake which files to use for
    strong crypto; we use GNU TLS.  Closes: #387899.

 -- Ludovic Brenta <lbrenta@debian.org>  Sun, 17 Sep 2006 21:09:41 +0200

libaws (2.2-1) unstable; urgency=low

  * New upstream version.  Closes: #370560, #379921.
  * debian/control:
    (source) change maintainer's email address, I am now a full DD.
    (build-depends): gnat (>= 3.15p) -> gnat (>= 4.1)
                     libasis-3.15p-1-dev -> libasis-dev (>= 2005)
                     libssl-dev -> libgnutls-dev
                     libxmlada1-dev -> libxmlada2-dev
                     - -> libtemplates_parser-dev
                     - -> quilt, texinfo, tetex-extra
    (Standards-Version): update to 3.7.2 with no changes required.
    (Architecture): add support for alpha, amd64, hppa, ia64 and s390.
    (libaws2): rename to libaws2.2.
    (libaws-dev): depend on libaws2.2 and gnat-4.1.
    (libaws-bin): new package containing programs, will become mandatory for
    multiarch.
    (libaws-doc): provide the new web_elements (reusable pieces of web
    applications)
  * patches/series,
    patches/demos.patch,
    patches/docs.patch,
    patches/ada2wsdl.patch: new; move from libaws_2.0p-11.diff.gz, and update.
  * debian/rules:
    - change the library's soname from libaws.so.2 to libaws.so.2.2 (new ABI)
    - use quilt to apply and revert patches.
  * debian/copyright: switch from GMGPL to pure GPL; explain.

 -- Ludovic Brenta <lbrenta@debian.org>  Wed,  9 Aug 2006 21:08:18 +0200

libaws (2.0p-11) unstable; urgency=low

  * debian/rules (regexp): accept any character as part of the Debian
    uplodad number.  Closes: #359881.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Fri, 31 Mar 2006 08:14:06 +0200

libaws (2.0p-10) unstable; urgency=low

  * debian/control: enable support for GNU/kFreeBSD per request from
    Aurélien Jarno.  Build-depend on gnat (>= 3.15p-19),
    libasis-3.15p-1-dev (>= 3.15p-10), and libxmlada-dev
    (>= 1.0-3), which enable this support.  Closes: #345060.
  * debian/ada2wsdl.1: apply patch from Nicolas François that fixes a
    typo.  Thanks, Nicolas.  Closes: #350486.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Wed,  8 Feb 2006 18:41:27 +0100  

libaws (2.0p-9) unstable; urgency=low

  * debian/control: Add (>= 3.15p-9) to the existing Build-Depend on
    libasis-3.15p-1-dev.  Closes: #344699.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Mon, 26 Dec 2005 16:07:13 +0100

libaws (2.0p-8) unstable; urgency=low

  * debian/rules (ada2wsdl, awsres, wsdl2aws): pass -L. to the linker to
    properly link against the just-built libaws.so.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Thu, 22 Dec 2005 12:54:13 +0100

libaws (2.0p-7) unstable; urgency=low

  * debian/rules: do not build the shared library twice, and do not put PIC
    objects in the static library.  Detect the number of CPUs available and
    do a parallel build with that number instead of just 2.
  * aws.gpr: remove the tools directory from the sources.
  * tools.gpr: new. Use to build the tools.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Wed, 14 Dec 2005 09:45:17 +0100

libaws (2.0p-6) unstable; urgency=low

  * Bad, bad engineer! See what you've done!
  * debian/control: build-depend on libasis-3.15p-dev on powerpc, too.  Fixes
    FTBFS on powerpc.
  * debian/control: bump standards-version to 3.6.2.

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Mon, 19 Sep 2005 20:34:12 +0200


libaws (2.0p-5) unstable; urgency=low

  * Now that #177703 is resolved, build ada2wsdl on powerpc.
  * Change maintainer's email address

 -- Ludovic Brenta <ludovic@ludovic-brenta.org>  Thu, 25 Aug 2005 23:13:23 +0200

libaws (2.0p-4) unstable; urgency=low

  * libaws-dev: Depend on zlib1g-dev.  Closes: #268680. Also depend on
    libldap2-dev, libssl-dev, and libxmlada1-dev for good measure.
  * debian/rules: do not strip the static library.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Sat, 28 Aug 2004 17:56:19 +0200

libaws (2.0p-3) unstable; urgency=low

  * Do not use the same project file for ada2wsdl as for the other things;
    ada2wsdl needs asis whereas the others don't.  Fixes a FTBFS bug on
    powerpc.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 13 Jul 2004 18:19:50 +0200

libaws (2.0p-2) unstable; urgency=low

  * Temporarily disable building ada2wsdl on powerpc.  It requires asis,
    and asis is not available on powerpc (see #177703).
  * debian/rules (build): reorganised into several sub-targets. 
  * Update Standards-Version to 3.6.1.1.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Sat, 10 Jul 2004 17:31:30 +0200

libaws (2.0p-1) unstable; urgency=low

  * New upstream version.  Change package name from libaws1 to libaws2.
  * Build-Depend on libasis-3.15p-1-dev.
  * libaws-doc: For the examples, replace the makefile with a simple one
    and a GNAT project file.  Both use the Debian paths to installed
    libraries.  Closes: #244815.
  * debian/ada2wsdl.1: new man page.
  * debian/wsdl2aws.1: updated man page.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Sat, 12 Jun 2004 20:15:35 +0200

libaws (1.4-2) unstable; urgency=low

  * Fix the maintainer's email address in control file.
  * Force a recompile on powerpc.  The buildd log reports a strange
   (transient?) error.
  * Build-Depend on gnat (>= 3.15p-7) to avoid problems with non-PIC code
    in libgnat-3.15p-1 (= 3.15p-6).

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Tue, 24 Feb 2004 16:21:51 +0100

libaws (1.4-1) unstable; urgency=low

  * Initial Release.  Closes: #232471.

 -- Ludovic Brenta <ludovic.brenta@insalien.org>  Fri, 13 Feb 2004 08:57:34 +0100

Local variables:
left-margin: 2
End: